Loading...
Searching...
No Matches
Safe::Internal::is_signed< T > Struct Template Reference

Helper struct to determine whether a type is signed or unsigned. More...

`#include <safe_op.hpp>`

## Public Types

enum |

## Detailed Description

template<typename T>
struct Safe::Internal::is_signed< T >

Helper struct to determine whether a type is signed or unsigned.

This struct is a backport of std::is_signed from C++11. It has a public enum with the property VALUE which is true when the type is signed or false if it is unsigned.

The documentation for this struct was generated from the following file:

- safe_op.hpp